Archive a project
curl --request DELETE \
--url https://api.devic.ai/v1/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devic.ai/v1/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devic.ai/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"clientUID": "<string>",
"name": "<string>",
"identifier": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"visibility": "public",
"createdByUserUID": "<string>",
"creationTimestampMs": 123,
"lastEditTimestampMs": 123,
"archived": true
}Projects
Archive a project
Archives a project (soft delete). Archived projects can be listed with archived=true.
DELETE
/
v1
/
projects
/
{projectId}
Archive a project
Authorizations
Use JWT token for authentication
Path Parameters
Project ID
Response
Project archived successfully
Project ID
Client UID
Project name
Unique identifier (lowercase alphanumeric with hyphens)
Project description
Project image URL
Project visibility
Available options:
public, private UID of the user that created the project
Creation timestamp (ms)
Last edit timestamp (ms)
Whether the project is archived